#ifndef INC_GTPROGBAR_H
#define INC_GTPROGBAR_H

#include "gtwidget.h"

/************************************************************************\
*
* GtProgBar class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtProgBar : public GtWidget
{
public:
		/* Standard */
	GtProgBar(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtProgBar"); }
	sbool IsSubClassOf(char *cn);
		/* Window management */
	void Refresh(void);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
protected:
		/* Instance variables */
	int start,val;
	ulong range;
	ubyte orient,bdrw;
};

extern GtProgBar *GtMkProgBar(char *n,GtManager *p,GtTag *tgs);
extern GtProgBar *GtMkProgBar(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTPROGBAR_H */
